#!/bin/bash
# Copyright 2002 by Georgi Chorbadzhiyski, Sofia, Bulgaria
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

. ./config.sh

package_name() {
	name=$(echo $1 | rev | cut -d- -f4- | rev)
	if [ "$name" = "" ]; then
		echo $1
	else
		echo $name
	fi
}

mkdir updates 2>/dev/null
for i in $SLACK_HOSTS
do
	host=$(echo $i | cut -d/ -f2)
	echo -n "Checking packages on $host..."
	rm updates/Non_dist_packs_${host} 2>/dev/null
	(cat PKG_LISTS/$i |
	while read line; do
		mypack=$(echo "$line" | tr -s ' ' | cut -d" " -f11)
		grep $mypack PKG_LISTS/CURRENT >/dev/null 2>&1
		if [ $? != 0 ]; then
			pkgname=$(package_name $mypack)
			newpkg=$(grep /${pkgname}-[0-9] PKG_LISTS/CURRENT)
			if [ $? = 0 ]; then
				newpkg=$(echo $newpkg | cut -f1 -d" ")
				pkgdir=$(dirname $newpkg)
				pkgname=$(basename $newpkg)
				echo "(cd ${SLACK_DIR}/${pkgdir}/	&&	upgradepkg $pkgname)		# $mypack"
			else
				echo "$mypack" >> updates/Non_dist_packs_${host}
			fi
		fi
	done) | sort > updates/Update_${host}
	echo "done."
done

